/*
 * uni_free.c
 *
 */

#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include "libuni.h"

/* uni_free : Returns 0 on successful completion. */
int
uni_free (struct unifile *ufile)
{
	int i;
  
  if (ufile == NULL)
    return 1;

	if (ufile[0].header != NULL)
		{
			for (i = 0; i < ufile[0].header_lines; i++)
				{
					if (ufile[0].header[i] != NULL)
						{
							free(ufile[0].header[i]);
						}
				}
			free (ufile[0].header);
		}

	if (ufile[0].data != NULL)
		{
			free (ufile[0].data);
		}
	
	return 0;
}
