#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "libuni.h"

int
uni_findkey (const char *keyname, struct unifile *ufile)
{

	int i;
	int result;
	int length;
	int lines;

	lines = ufile[0].header_lines;
	length = strlen (keyname);

	if (ufile[0].header == NULL || lines < 1)
		{
			return -1;
		}

	for (i = 0; i < lines; i++)
		{
			char *line;
			line = ufile[0].header[i];
			line = index (line, '#');

			if (line != NULL)
				{
					/* Found a character */
					result = strncmp (line + 1, keyname, length);
					if (result == 0)
						{
							/* Found _the_ key */
							return i;
						}
				}
		}

	return -1;

}
